unit ICThemeState;

(*	This file is part of the Internet Configuration system and is placed in the public domain for the benefit of all.

	This module contains the Pascal interface to the code to save and restore
	the current GrafPort state in a Theme-friendly fashion.  See "ICThemeState.c"
	for more comments.
*)

interface

	uses
		MacTypes;
		
	type
		MoreThemeDrawingState = Ptr;

	function MoreGetThemeDrawingState(var stateResult : MoreThemeDrawingState) : OSStatus;

	function MoreNormalizeThemeDrawingState : OSStatus;
	function MoreSetThemeDrawingState(state : MoreThemeDrawingState; disposeNow : Boolean) : OSStatus;
	function MoreDisposeThemeDrawingState(state : MoreThemeDrawingState) : OSStatus;

end. (* ICThemeState *)
