/*	This file is part of the Internet Configuration system and is placed in the public domain for the benefit of all.

	This file contains the definition of the 'cfrg' resource used by the
	IC component PPC side.
*/

// Pick up the 'cfrg' template.  The define forces Rez to pick up the
// extended form of the template, which we need in order to specific
// a component that loads a shared library from the data fork.

#define cfrg_RezTemplateVersion 1
#include "CodeFragments.r"

resource 'cfrg' (0) {
	{
		extendedEntry {
			kPowerPCCFragArch,					// archType
			kIsCompleteCFrag,					// updateLevel
			kNoVersionNum,						// currentVersion
			kNoVersionNum,						// oldDefVersion
			kDefaultStackSize,					// appStackSize
			kNoAppSubFolder,					// appSubFolderID
			kImportLibraryCFrag,				// usage
			kDataForkCFragLocator,				// where
			kZeroOffset,						// offset
			kCFragGoesToEOF,					// length
			"ICComponentImplementation",		// member name
			
			// Start of extended info.
			
			'cpnt',								// libKind (not kFragComponentMgrComponent == 'comp' as you might expect)
			"\0x00\0x80",						// qualifier 1
			"",									// qualifier 2
			"",									// qualifier 3
			"Internet Config Extension",		// intlName, localised
		}
	}
};
